Subject: [bug#73282] [PATCH] home: services: pipewire: Add utilities to profile.

From: Rutherther <[email-masked]>
Date: Thu, 31 Oct 2024 09:33:13 +0100

> Rutherther <[email-masked]> writes:
> 
> > Nope, I don't have them in my profile and I can control volume and
> > switch outputs just fine through pavucontrol.
> 
> pavucontrol is a Pulseaudio program that operates on top of the
> pipewire-pulse compatibility layer. wpctl is the native program that
> interacts with the pipewire library directly.

I've just tried easyeffects, since it seems it supports
pipewire natively. I can control volume, outputs etc.
with it, without having wpctl in my profile.

> 
> So it would make sense to add the native packages to the profile,
> because users should not be expected to have control programs for other
> sound servers installed.
> 
> To put it another way: if a daemon is running that is likely to require
> control commands from the user, the packages to issue those control
> commands should be added to the profile.

I don't agree with your outcome. If it's likely user will want it,
and not necessary, there should be an easy option to turn it off/on,
not to give it to user who doesn't want it and will then have
to go hard ways to turn it off - such as modifying the service-type
itself via inheriting and removing the profile part.
The user should not be expected that they will want to use
these specific programs for controlling their audio, it's up
to them what program they choose for that and install.

Regards,
Rutherther